#
# This file has no hash-bang line since it isn't intended to be executable,
# instead it is 'sourced' by other scripts.
#
# scripts/Mercury.config.  Generated from Mercury.config.in by configure.
#---------------------------------------------------------------------------#
# Copyright (C) 2003-2007, 2010-2012 The University of Melbourne.
# This file may only be copied under the terms of the GNU General
# Public License - see the file COPYING in the Mercury distribution.
#---------------------------------------------------------------------------#
#
# Mercury.config
#
# Configuration file for the Melbourne Mercury Compiler.
#
# Note to developers: when updating this file consider whether
# Mercury.config.bootstrap.in should also be updated.
#
# Environment variables: MERCURY_STDLIB_DIR, MERCURY_C_COMPILER,
# MERCURY_DEFAULT_GRADE, MERCURY_DEFAULT_OPT_LEVEL,
# MERCURY_JAVA_COMPILER, MERCURY_JAVA_INTERPRETER,
# MERCURY_CSHARP_COMPILER.

# These settings won't override settings in the environment.
MERCURY_STDLIB_DIR=/usr/pkg/lib/mercury
MERCURY_DEFAULT_OPT_LEVEL=-O2
MERCURY_DEFAULT_GRADE=asm_fast.gc
MERCURY_C_COMPILER=gcc
MERCURY_C_COMPILER_TYPE=gcc_10_5_0
MERCURY_MATH_LIB=-lm
MERCURY_JAVA_COMPILER=javac
MERCURY_JAVA_INTERPRETER=java
MERCURY_CSHARP_COMPILER=
MERCURY_CSHARP_COMPILER_TYPE=unknown
MERCURY_CLI_INTERPRETER=
MERCURY_ERLANG_COMPILER=
MERCURY_ERLANG_INTERPRETER=
MERCURY_TARGET_ARCH=x86_64--netbsd
# $(MATH_LIB) needs to be defined because it may
# be used by the substitution for SHARED_LIBS.
MATH_LIB=$(MERCURY_MATH_LIB)

# If you change these, you will also need to change the files indicated in
# scripts/c2init.in.
RT_LIB_NAME=mer_rt
STD_LIB_NAME=mer_std

DEFAULT_MERCURY_LINKAGE=static

DEFAULT_GRADEFLAGS=--grade "$(MERCURY_DEFAULT_GRADE)"

# The default optimization level should be after
# all the options that describe the machine configuration.
DEFAULT_MCFLAGS=\
		 \
		 \
		--cc "$(MERCURY_C_COMPILER)" \
		--c-compiler-type "$(MERCURY_C_COMPILER_TYPE)" \
		--java-compiler "$(MERCURY_JAVA_COMPILER)" \
		--java-interpreter "$(MERCURY_JAVA_INTERPRETER)" \
		--csharp-compiler "$(MERCURY_CSHARP_COMPILER)" \
		--csharp-compiler-type "$(MERCURY_CSHARP_COMPILER_TYPE)" \
		--cli-interpreter "$(MERCURY_CLI_INTERPRETER)" \
		--erlang-compiler "$(MERCURY_ERLANG_COMPILER)" \
		--erlang-interpreter "$(MERCURY_ERLANG_INTERPRETER)" \
		--cflags-for-ansi "-ansi" \
		--cflags-for-optimization "-O2 -fomit-frame-pointer -fno-strict-aliasing" \
		--cflags-for-warnings "-Wall -Wwrite-strings -Wshadow -Wmissing-prototypes -Wno-unused -Wno-uninitialized -Wstrict-prototypes" \
		--cflags-for-threads "" \
		--cflags-for-debug "-g" \
		--cflags-for-regs "-fno-builtin -fno-omit-frame-pointer -fno-reorder-functions" \
		--cflags-for-gotos "-fno-defer-pop -fno-function-cse -fno-gcse -fno-move-loop-invariants -fno-reorder-functions -ftrack-macro-expansion=0 -fno-diagnostics-show-caret" \
		--cflags-for-pic "-fpic -DMR_PIC" \
		--c-flag-to-name-object-file "-o " \
		--java-flags "" \
		--object-file-extension ".o" \
		--pic-object-file-extension ".pic_o" \
		--link-with-pic-object-file-extension ".lpic_o" \
		--executable-file-extension "" \
		--shared-library-extension ".so" \
		--library-extension ".a" \
		--create-archive-command "ar" \
		--create-archive-command-output-flag "" \
		--create-archive-command-flags "cr" \
		--ranlib-command "ranlib" \
		--ranlib-flags "" \
		--link-executable-command "gcc" \
		--link-shared-lib-command "ld -Bshareable" \
		--strip-executable-command "" \
		--strip-executable-shared-flags "" \
		--strip-executable-static-flags "" \
		--trace-libs "  " \
		--thread-libs "" \
		--hwloc-libs "" \
		--hwloc-static-libs "" \
		--shared-libs "`gcc -print-libgcc-file-name` $(MATH_LIB) -lc" \
		--math-lib "-lm" \
		--readline-libs "-L/usr/pkg/lib -R/usr/pkg/lib -lreadline -ltermcap" \
		--linker-opt-separator "" \
		--linker-thread-flags "" \
		--shlib-linker-thread-flags "" \
		--linker-trace-flags "" \
		--shlib-linker-trace-flags "" \
		--linker-static-flags "-static" \
		--linker-strip-flag "-s" \
		--linker-debug-flags "-g" \
		--shlib-linker-debug-flags "-g" \
		--linker-link-lib-flag "-l" \
		--linker-link-lib-suffix "" \
		--shlib-linker-link-lib-flag "-l" \
		--shlib-linker-link-lib-suffix "" \
		--linker-path-flag "-L" \
		--linker-rpath-flag "-R" \
		--linker-rpath-separator " -R" \
		--shlib-linker-rpath-flag "-R" \
		--shlib-linker-rpath-separator " -R" \
		 \
		--shlib-linker-install-name-flag "-install_name " \
		--linker-allow-undefined-flag "" \
		--linker-error-undefined-flag "" \
		--fullarch "$(MERCURY_TARGET_ARCH)" \
		--install-prefix "/usr/pkg" \
		--num-real-r-regs "2" \
		--num-real-r-temps "0" \
		--conf-low-tag-bits "3" \
		--bits-per-word "64" \
		--bytes-per-word "8" \
		--sync-term-size "3" \
		--dotnet-library-version "1.0.2411.0" \
		--host-env-type "posix" \
		--target-env-type "posix" \
		 \
		 \
		--unboxed-float \
		 \
		$(MERCURY_DEFAULT_OPT_LEVEL) \
		
